# $Id: smeserver.spec,v 1.1 2016/02/04 18:26:20 vip-ire Exp $

Summary: smeserver server and gateway
Name: smeserver
%define version 5.6.0
%define release 1
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires(pre): /usr/sbin/useradd
AutoReqProv: no
Provides: e-smith

%changelog
* Thu May 11 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Feb 4 2016 Daniel Berteaud <daniel@firewall-services.com> - 5.6.0-1.sme
- Roll new stream for sme10

* Sun May 19 2013 Ian Wells <esmith@wellsi.com> 5.4.0-5.sme
- Update the full names of users added in %pre [SME: 3550]

* Sun May 05 2013 Ian Wells <esmith@wellsi.com> 5.4.0-4.sme
- Fix uid and gid to be the same for the users added in %pre [SME: 7547]
- Changed Prereq to Requires(pre) as Prereq is deprecated

* Sat Mar 9 2013 Shad L. Lords <slords@mail.com> 5.4.0-3.sme
- Ensure group www exists before user [SME: 7319]

* Wed Mar 6 2013 Shad L. Lords <slords@mail.com> 5.4.0-2.sme
- Fix pre script to make www and apache the same [SME: 7319]

* Fri Jan 25 2013 Shad L. Lords <slords@mail.com> 5.4.0-1.sme
- Roll new stream for sme9

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 5.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 4.2.0-08
- Bump release number only

* Fri Jan 14 2005 Charlie Brady <charlieb@e-smith.com> 4.2.0-07
- Re-add user and group creation. [MN00063589]

* Fri Aug 17 2001 gordonr
- [4.2.0-06]
- Autorebuild by rebuildRPM

* Fri Jul 27 2001 Charlie Brady <charlieb@e-smith.com>
- [4.2.0-05]
- Put defattr directive in the right spot.

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [4.2.0-04]
- Including GPL license with package

* Fri May 04 2001 Jason Miller <jmiller@e-smith.com>
- [4.2.0-03]
- Commenting out the harmful 'useradd' part of %pre section 

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- [4.2.0-02]
- Rolling release number for GPG signing.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [4.2.0-01]
- Rolled version to 4.2.0 to indicate a stable release. Includes patches
  upto 4.1.0-1

* Wed Dec  6 2000 Adrian Chung <adrianc@e-smith.com>
- Branched for 4.1 release to 4.1.0

* Mon Oct 16 2000 Charlie Brady <charlieb@e-smith.com>
- Need to add www user before trying to add admin user to 
  group www.

* Mon Oct 16 2000 Charlie Brady <charlieb@e-smith.com>
- Add %pre clause to add admin, www etc.

%description
e-smith server and gateway software. This is an empty
RPM provided so that upgrading e-smith 3.x -> e-smith 4.x
can work. Contents are now included in e-smith-base RPM.

%prep
%setup

%build

%pre
#--------------------------------------------------
# add admin, public and www user accounts
#--------------------------------------------------
/usr/sbin/groupadd \
  -g 500 shared 2>/dev/null || :
/usr/sbin/groupadd \
  -g 102 -o www 2>/dev/null || :
/usr/sbin/useradd \
  -u 102 -g 102 -o -c 'SME Server web server' -d /home/e-smith \
  -G shared -M -s /bin/false www  || :
/usr/sbin/groupadd \
  -g 102 -o apache 2>/dev/null || :
/usr/sbin/useradd \
  -u 102 -g 102 -o -c 'Apache' -d /var/www \
  -M -s /sbin/nologin apache  || :
/usr/sbin/groupadd \
  -g 101 -o admin 2>/dev/null || :
/usr/sbin/useradd \
  -u 101 -g 101 -c 'SME Server administrator' -d /home/e-smith \
  -G shared,root,www -M -s /sbin/e-smith/console admin  || :
/usr/sbin/groupadd \
  -g 103 -o public 2>/dev/null || :
/usr/sbin/useradd \
  -u 103 -g 103 -c 'SME Server guest' -d /home/e-smith \
  -G shared -M -s /bin/false public  || :
/usr/sbin/groupadd \
  -g 1002 -o smelog 2>/dev/null || :
/usr/sbin/useradd \
  -u 1002 -g 1002 -c 'SME Server log user' -d /var/log/smelog \
  -M -s /bin/false smelog  || :


%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
